context_start_file("fitKumBin function")
test_that("NA values are avoided",{
  expect_error(fitKumBin(0:7,c(47,12,43,40,40,41,39,95),NA,3,1000),
              "NA or Infinite or NAN values in the Input")
})
test_that("Chi-squared approximation issues",{
  expect_message(fitKumBin(0:6,c(2,5,4,40,40,4,3),0.1,3,7000),
              "Chi-squared approximation is not suitable because expected frequency approximates to zero")
})
test_that("Chi-squared approximation issues",{
  expect_message(fitKumBin(0:4,c(2,5,1,4,3),1.1,1.0,10000),
              "Chi-squared approximation may be doubtful because expected frequency is less than 5")
})
test_that("Degree of freedom less than zero",{
  expect_error(fitKumBin(c(0,1,2),c(11,12,12),12.1,11.3,10000),
              "Degrees of freedom cannot be less than or equal to zero")
})
test_that("runs smoothly",{
  expect_no_error(fitKumBin(0:4,c(2,5,1,4,3),1.1,1.0,10000))
})
